﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloSAT
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class ModeloSATContainer : DbContext
    {
        public ModeloSATContainer()
            : base("name=ModeloSATContainer")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<satc_Aduana> satc_AduanaSet { get; set; }
        public virtual DbSet<satc_ClaveProdServ> satc_ClaveProdServSet { get; set; }
        public virtual DbSet<satc_ClaveUnidad> satc_ClaveUnidadSet { get; set; }
        public virtual DbSet<satc_CodigoPostal> satc_CodigoPostalSet { get; set; }
        public virtual DbSet<satc_FormaPago> satc_FormaPagoSet { get; set; }
        public virtual DbSet<satc_Impuesto> satc_ImpuestoSet { get; set; }
        public virtual DbSet<satc_MetodoPago> satc_MetodoPagoSet { get; set; }
        public virtual DbSet<satc_Moneda> satc_MonedaSet { get; set; }
        public virtual DbSet<satc_NumPedimentoAduana> satc_NumPedimentoAduanaSet { get; set; }
        public virtual DbSet<satc_UsoCFDI> satc_UsoCFDISet { get; set; }
        public virtual DbSet<satc_TipoRelacion> satc_TipoRelacionSet { get; set; }
        public virtual DbSet<satc_TipoFactor> satc_TipoFactorSet { get; set; }
        public virtual DbSet<satc_TipoDeComprobante> satc_TipoDeComprobanteSet { get; set; }
        public virtual DbSet<satc_TasaOCuota> satc_TasaOCuotaSet { get; set; }
        public virtual DbSet<satc_RegimenFiscal> satc_RegimenFiscalSet { get; set; }
        public virtual DbSet<satc_PatenteAduanal> satc_PatenteAduanalSet { get; set; }
        public virtual DbSet<satc_Pais> satc_PaisSet { get; set; }
    }
}
